org.apache.ignite.internal.util.typedef

## Class T1<V>

- java.lang.Object
- - org.apache.ignite.internal.util.lang.GridTuple<V>
  - - org.apache.ignite.internal.util.typedef.T1<V>

Type Parameters:
  `V` - Type of the free variable.

All Implemented Interfaces:
  Externalizable, Serializable, Cloneable, Iterable<V>

    public class T1<V>
    extends GridTuple<V>

Defines `alias` for `GridTuple` by extending it. Since Java doesn't provide type aliases (like Scala, for example) we resort to these types of measures. This is intended to provide for more concise code in cases when readability won't be sacrificed. For more information see `GridTuple`.

See Also:
  `GridFunc`, `GridTuple`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`T1()` Empty constructor required by `Externalizable`.
`T1(V val)` Constructs mutable object with given value.

### Method Summary

### Methods inherited from class org.apache.ignite.internal.util.lang.GridTuple

`clone, equals, get, hashCode, iterator, readExternal, set, toString, writeExternal`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### T1

    public T1()

Empty constructor required by `Externalizable`.

#### T1

    public T1(V val)

Constructs mutable object with given value.

Parameters:
  `val` - Wrapped value.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0.final
Release Date | : December 29 2015